UIManager.LookAndFeelInfo (Java SE 15 & JDK 15)
Description: declaration: module: java.desktop, package: javax.swing, class: UIManager, class: LookAndFeelInfo
Keywords: javax.swing.UIManager.LookAndFeelInfo class

Module java.desktop
Package javax.swing

# Class UIManager.LookAndFeelInfo

java.lang.Object
javax.swing.UIManager.LookAndFeelInfo

Enclosing class:
  UIManager

    public static class UIManager.LookAndFeelInfo
    extends Object

Provides a little information about an installed `LookAndFeel` for the sake of configuring a menu or for initial application set up.

See Also:
  `UIManager.getInstalledLookAndFeels()`, `LookAndFeel`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `LookAndFeelInfo​(String name, String className)` | Constructs a `UIManager`s `LookAndFeelInfo` object.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `String` | `getClassName()` | Returns the name of the class that implements this look and feel.
  `String` | `getName()` | Returns the name of the look and feel in a form suitable for a menu or other presentation
  `String` | `toString()` | Returns a string that displays and identifies this object's properties.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LookAndFeelInfo

    public LookAndFeelInfo​(String name, String className)
    Constructs a `UIManager`s `LookAndFeelInfo` object.
    Parameters:
      `name` - a `String` specifying the name of the look and feel
      `className` - a `String` specifying the name of the class that implements the look and feel

- ## Method Details

  - ### getName

    public String getName()
    Returns the name of the look and feel in a form suitable for a menu or other presentation
    Returns:
      a `String` containing the name
    See Also:
      `LookAndFeel.getName()`

  - ### getClassName

    public String getClassName()
    Returns the name of the class that implements this look and feel.
    Returns:
      the name of the class that implements this `LookAndFeel`
    See Also:
      `LookAndFeel`

  - ### toString

    public String toString()
    Returns a string that displays and identifies this object's properties.
    Overrides:
      `toString` in class `Object`
    Returns:
      a `String` representation of this object